%define	name	dump
%define version 0.4b44
%define subrel 1
%define release %mkrel 2

Summary:	Programs for backing up and restoring filesystems
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Archiving/Backup
URL:		http://sourceforge.net/projects/dump/
Source: 	ftp://osdn.dl.sourceforge.net/pub/sourceforge/d/du/%{name}/%{name}-%{version}.tar.gz
Patch0:		dump-nonroot.patch
Patch2:		dump-0.4b34-check-systypes.patch
Patch3:		dump-0.4b37-compile-fix.patch
Patch4:		dump_progname_mips.patch
Patch5:		dump-buildfix.patch
Patch6:		dump-0.4b44-lzo-2.08.diff

Requires:	rmt = %{version}-%{release}
BuildRequires:	libblkid-devel
BuildRequires:	ncurses-devel
BuildRequires:	termcap-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	openssl-devel >= 0.9.7a
BuildRequires:	e2fsprogs-devel

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

%package -n	rmt
Summary:	Provides certain programs with access to remote tape devices
Group:		Archiving/Backup
Provides:	/sbin/rmt

%description -n	rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%prep
%setup -q
%patch0 -p0 -b .nonroot
%patch2 -p1 -b .check-systypes
%patch3 -p1 -b .compfix
%patch4 -p1 -b .progname
%patch5 -p1 -b .buildfix
%patch6 -p1 -b .lzo-2.08

autoreconf -fi

%build
%configure2_5x \
	--with-manowner=root \
	--with-mangrp=root \
	--with-manmode=644 \
	--enable-ermt \
	--disable-kerberos \
	--disable-transselinux
	

%make OPT="$RPM_OPT_FLAGS -fPIC -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

%install
make install SBINDIR=%{buildroot}/sbin BINDIR=%{buildroot}/sbin MANDIR=%{buildroot}%{_mandir}/man8

for i in dump restore; do
  mv %{buildroot}/sbin/$i %{buildroot}/sbin/$i.ext3
  ln -s $i.ext3 %{buildroot}/sbin/$i.ext2
  ln -s $i.ext3 %{buildroot}/sbin/$i
done

pushd %{buildroot}
  mkdir .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -s ../sbin/rmt ./%{_sysconfdir}/rmt
popd

%files
%doc CHANGES COPYRIGHT KNOWNBUGS README THANKS TODO MAINTAINERS dump.lsm
%attr(0664,root,disk)	%config(noreplace) %{_sysconfdir}/dumpdates
#%attr(6755,root,tty)	/sbin/dump
/sbin/dump*
#%attr(6755,root,tty)	/sbin/restore
/sbin/restore*
/sbin/rdump
/sbin/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%files -n rmt
%doc COPYRIGHT
/sbin/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.8*


%changelog
* Wed Sep 03 2014 oden <oden> 0.4b44-2.1.mga3
+ Revision: 671360
- bump the bundled lzo-1.08 code to lzo-2.08 (CVE-2014-4607)

* Fri Jan 11 2013 umeabot <umeabot> 0.4b44-2.mga3
+ Revision: 349173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean specfile

* Fri Sep 07 2012 luigiwalser <luigiwalser> 0.4b44-1.mga3
+ Revision: 289597
- 0.4b44
- remove rh507948 patch (merged upstream)
- remove no longer needed selinux patch
- add build fix patch from fedora
- call autoreconf instead of autoconf to fix build
- minor spec cleanups

* Tue Jan 11 2011 blino <blino> 0.4b42-2.mga1
+ Revision: 6374
- imported package dump

